cs_fsm Struct Reference

`#include <fsm.h>`

Collaboration diagram for cs_fsm:
[legend]

## Data Fields

const char * | name
int32_t | curr_state
int32_t | curr_entry
size_t | entries
struct cs_fsm_entry * | table
cs_fsm_state_to_str_fn | state_to_str
cs_fsm_event_to_str_fn | event_to_str

## Detailed Description

Definition at line 65 of file fsm.h.

## Field Documentation

## curr_entry

int32_t cs_fsm::curr_entry

Definition at line 68 of file fsm.h.

## curr_state

int32_t cs_fsm::curr_state

Definition at line 67 of file fsm.h.

## entries

size_t cs_fsm::entries

Definition at line 69 of file fsm.h.

## event_to_str

cs_fsm_event_to_str_fn cs_fsm::event_to_str

Definition at line 72 of file fsm.h.

## name

const char* cs_fsm::name

Definition at line 66 of file fsm.h.

## state_to_str

cs_fsm_state_to_str_fn cs_fsm::state_to_str

Definition at line 71 of file fsm.h.

## table

struct cs_fsm_entry* cs_fsm::table

Definition at line 70 of file fsm.h.

The documentation for this struct was generated from the following file:

- fsm.h